#### D.4.7.4 elim1

Procedure from library `elim.lib` (see elim_lib).

Usage:
  elim1(id,arg); id ideal/module, arg can be either an intvec v or a product p of variables (type poly)

Return:
  ideal/module obtained from id by eliminating either the variables with indices appearing in v or the variables appearing in p

Method:
  elim1 calls eliminate but in a ring with ordering dp (resp. ls) if the first var not to be eliminated belongs to a -p (resp. -s) ordering.

Note:
  no special monomial ordering is required.

Example:

    LIB "elim.lib";
    ring r=0,(x,y,t,s,z),dp;
    ideal i=x-t,y-t2,z-t3,s-x+y3;
    elim1(i,ts);
    ==> _[1]=y2-xz
    ==> _[2]=xy-z
    ==> _[3]=x2-y
    module m=i*gen(1)+i*gen(2);
    m=elim1(m,3..4); show(m);
    ==> // module, 6 generator(s)
    ==> [y2-xz]
    ==> [0,y2-xz]
    ==> [xy-z]
    ==> [0,xy-z]
    ==> [x2-y]
    ==> [0,x2-y]

See also: elim; eliminate.

User manual for Singular version 4.4.1, 2025, generated by texi2html.